6.0.0-git
2021-05-07

[#14203] Mnemo/Kolab-driven/Filesystem-Cache-enabled: Notes without a tag show empty box behind the note's title
Summary Mnemo/Kolab-driven/Filesystem-Cache-enabled: Notes without a tag show empty box behind the note's title
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mike.gabriel (at) das-netzwerkteam (dot) de
Created 2015-12-17 (1968 days ago)
Due
Updated 2015-12-29 (1956 days ago)
Assigned 2015-12-17 (1968 days ago)
Resolved 2015-12-29 (1956 days ago)
Milestone
Patch No

History
2015-12-29 09:14:17 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #9 Reply to this comment
Indeed, this had nothing to do with Kolab, but rather the result of 
calling explode() on an empty string.

Fixed in Horde_Core.
Confirmed here. Issue is resolved.
2015-12-29 04:24:35 Michael Rubinsky Version ⇒ Git master
Queue ⇒ Horde Base
 
2015-12-29 04:24:08 Michael Rubinsky Comment #8
Assigned to Michael Rubinsky
Taken from Michael J Rubinsky <mrubinsk@horde.org>
State ⇒ Resolved
Reply to this comment
Indeed, this had nothing to do with Kolab, but rather the result of 
calling explode() on an empty string.

Fixed in Horde_Core.
2015-12-29 04:21:47 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 32ec4c124e60f38a6c38fea0e2887dc1a71acf31
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Dec 28 23:18:55 2015 -0500

     Bug #14203 Fix handling of empty tag string.

  framework/Core/lib/Horde/Core/Tagger.php |    6 ++++++
  1 files changed, 6 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/32ec4c124e60f38a6c38fea0e2887dc1a71acf31
2015-12-17 15:26:08 Michael Rubinsky Comment #6 Reply to this comment
Does this mean, that the caching code in Horde_Kolab_Storage is 
actually broken in a way that modified objects do not get served 
from cache anymore until the end of the user session???
This is one of the areas that received a lot of work when we 
refactored the synchronization strategies recently. The current code 
can be viewed in Horde_Kolab_Storage in Git master. Not sure off hand 
exactly what the behavior is (my brain isn't in "Kolab mode" at the 
moment).
2015-12-17 15:05:02 Michael Rubinsky Comment #5 Reply to this comment
This also sounds familiar, might be already fixed in master, but will 
need to check when I have dedicated time.
2015-12-17 15:03:42 Michael Rubinsky Assigned to Michael J Rubinsky <mrubinsk@horde.org>
State ⇒ Assigned
 
2015-12-17 15:02:13 Michael Rubinsky Version ⇒
Queue ⇒ Kolab
 
2015-12-17 10:58:10 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #4 Reply to this comment
General question:

Is it expected/intended strategy that objects written to Mnemo (or 
probably any other Horde app with Kolab driver)  do get purged from 
the Horde_Kolab_Storage_Cache?

My expectation would be: write the object to the cache and let the 
cache handle the writeback to the storage backend.

But it seems, that whenever I modify a note in Mnemo, the note gets 
purge from the notepad's cache object and only gets cached again on 
logout/re-login.

Does this mean, that the caching code in Horde_Kolab_Storage is 
actually broken in a way that modified objects do not get served from 
cache anymore until the end of the user session???
2015-12-17 10:35:59 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #3 Reply to this comment
The cached object's data contains this part for the tags:

   categories";a:1:{i:0;s:0:"";}

So a list with one empty tag is retrieved from Horde_Kolab_Storage_Cache.

Thus, it is again Kolab specific...
2015-12-17 08:38:17 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #2 Reply to this comment
Filesystem cache enabled...

Running "horde-clear-cache" first...

Log into Horde a new, all notes are correctly reloaded from Kolab 
backend. Objects in cache are display without that tiny box (the tiny 
box is the box around tags, but without any tag name in the box).

Edit an existing note: add a tag - save - remove the tag - save: 
tiny/empty box is there
Add a new note: leave the tag field empty - save: tiny/empty box is there

=> The issue does not occur when loading Kolab objects into the Horde 
cache, but it happens when notes are created in Mnemo and stored in 
Cache (and in the Kolab backend). While the objects in the cache are 
still valid, the tiny box is shown. Once the cache gets invalidated, 
the boxes are gone again.

=> This is possibly not a Kolab-backend specific issue but related to 
how Mnemo writes stuff into the Horde filesystem cache (which might be 
a Horde_Kolab_Storage_Cache_Data issue, though).

2015-12-17 08:17:02 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Mnemo/Kolab-driven/Filesystem-Cache-enabled: Notes without a tag show empty box behind the note's title
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Normal setup is:

Mnemo 4.2.8, Kolab backend, Horde caching enabled (filesystem cache).

When creating notes in Mnemo that don't have a tag, I see an empty 
tiny box behind the notes title when viewing my list of notes.

Test setup:

Mnemo 4.2.8, Kolab backend, Horde caching fully disabled:

Above issue is gone.

Re-enabling Horde caching to file system:

Untagged notes have the empty box in the Mnemo's list of notes again.

I will look into this...

Saved Queries